summaryrefslogtreecommitdiff
path: root/gitstatus/gitstatus.plugin.sh
diff options
context:
space:
mode:
authorRoman Perepelitsa <roman.perepelitsa@gmail.com>2022-01-26 16:45:50 +0300
committerRoman Perepelitsa <roman.perepelitsa@gmail.com>2022-01-26 16:45:50 +0300
commitcead0349c57f27521b8307b4651a5c077e6bb276 (patch)
tree17a2d5b69353c2768b135c2da5c69d6e90c6a7c7 /gitstatus/gitstatus.plugin.sh
parent6c71862c5f9824dc92273fbe1d0dd0c37210f2af (diff)
parent5014de0541201716dc4ee6f544321ac4e3d7431e (diff)
Merge commit '5014de0541201716dc4ee6f544321ac4e3d7431e'
Diffstat (limited to 'gitstatus/gitstatus.plugin.sh')
-rw-r--r--gitstatus/gitstatus.plugin.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/gitstatus/gitstatus.plugin.sh b/gitstatus/gitstatus.plugin.sh
index 0c660967..37b78f44 100644
--- a/gitstatus/gitstatus.plugin.sh
+++ b/gitstatus/gitstatus.plugin.sh
@@ -121,7 +121,12 @@ function gitstatus_start() {
--repo-ttl-seconds="$ttl"
$extra_flags)
- tmpdir="$(command mktemp -d "${TMPDIR:-/tmp}"/gitstatus.bash.$$.XXXXXXXXXX)" || return
+ if [[ -n "$TMPDIR" && ( ( -d "$TMPDIR" && -w "$TMPDIR" ) || ! ( -d /tmp && -w /tmp ) ) ]]; then
+ local tmpdir=$TMPDIR
+ else
+ local tmpdir=/tmp
+ fi
+ tmpdir="$(command mktemp -d "$tmpdir"/gitstatus.bash.$$.XXXXXXXXXX)" || return
if [[ -n "$log_level" ]]; then
GITSTATUS_DAEMON_LOG="$tmpdir"/daemon.log